Bug 17541 - Telnet sessions timing out
Telnet sessions timing out
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: telnet (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-15 11:24 EDT by Tony Scholes
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 20:48:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Scholes 2000-09-15 11:24:58 EDT
We have a RH 6.2 running as a gateway to the Internet for a small network
via a permanent link i.e. the server has a valid IP address on the
Internet... This server does IP proxying etc. for the local network which
has does not have an assigned subent address....

If users connect to the internet and establish a connection to the gateway
(using rlogin as it happens) and then once connected to the gateway, use
telnet to connect to a server on the network behind the firewall, after a
period of non activity (having been able to determine it exactly but it's
not long, say 30 minutes) the telnet session from the gateway to the
internal server will have frozen...

It does not drop, but when you return to it and press a key, after a few
seconds the telnet session dies....... that is the telnet client seems to
think that it can't talk to the telnet server and exits.

The gateway server was recently upgraded from RH 5.2 to RH 6.2, and the
problem did not exist with 5.2...
Comment 1 Harald Hoyer 2001-08-01 02:44:13 EDT
Could you please retry with:
ftp://people.redhat.com/harald/telnet-0.17.6x-18.src.rpm
Bonus: security fixes to the recently discovered vulnerabilities

Note You need to log in before you can comment on or make changes to this bug.